#ifndef INCLUDE_INDEXER_H
#define INCLUDE_INDEXER_H
/*
 * =====================================================================================
 * 
 *       Filename:  indexer.h
 * 
 *    Description:  Header file that contains definitions for the run time code. Here 
 *                  all things der defined that don't have a command line option.
 * 
 *        Version:  1.0
 *        Created:  18/12/07 14:02:03 CET
 *       Revision:  none
 *       Compiler:  g++
 * 
 *         Author:  R. Pfeiffer (Mr), lynx@luchs.at
 *        Company:  http://web.luchs.at/
 * 
 * =====================================================================================
 */

/*-----------------------------------------------------------------------------
 *  Definitions
 *-----------------------------------------------------------------------------*/

// Maximum age period of indexed data in SQLite database. Defaults to 8 years.
#define INDEX_MAX_SQL_AGE             (24*3600*365*8)

#endif
