#ifndef INCLUDE_INDEXER_FUNCTIONS_H
#define INCLUDE_INDEXER_FUNCTIONS_H
/*
 * =====================================================================================
 * 
 *       Filename:  indexer_functions.h
 * 
 *    Description:  Header file for indexing functions, converters and database access.
 * 
 *        Version:  1.0
 *        Created:  11/02/2007 08:56:52 PM CET
 *       Revision:  none
 *       Compiler:  g++
 * 
 *         Author:  R. Pfeiffer (Mr), lynx@luchs.at
 *        Company:  http://web.luchs.at/
 * 
 * =====================================================================================
 */

//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//

#include <cctype>
#include <string>
#include <vector>

#include <sqlite3.h>

#include <libconfig.h++>

#include "indexer_cmdline.h"
#include "helper.h"

using namespace std;

//----------------------------------------------------------------------
// Functions
//----------------------------------------------------------------------
int index_files( vector<string> allfiles, SQLite3 *db, time_t last_run, bool new_index );

#endif
